package com.ruoyi.dxp.dto;

import com.ruoyi.dxp.domain.DataIntegration;

import java.util.List;

/**
 * 元数据保存对象
 */
public class MetaDataSave extends DataIntegration {
    private static final long serialVersionUID = 1L;

    /**
     * 本次动态数据列字符串
     */
    private List<String> column;

    /**
     * 本次动态数据
     */
    private List<Object> data;

    /**
     * 导入模式：all全量，add增量
     */
    private String mode;

    public List<String> getColumn() {
        return column;
    }

    public void setColumn(List<String> column) {
        this.column = column;
    }

    public List<Object> getData() {
        return data;
    }

    public void setData(List<Object> data) {
        this.data = data;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }
}
